RemoteStub (Java SE 23 & JDK 23)
Description: declaration: module: java.rmi, package: java.rmi.server, class: RemoteStub
Keywords: java.rmi.server.RemoteStub class

# Class RemoteStub

java.lang.Object
java.rmi.server.RemoteObject
java.rmi.server.RemoteStub

All Implemented Interfaces:
  `Serializable`, `Remote`

Direct Known Subclasses:
  `RMIConnectionImpl_Stub`, `RMIServerImpl_Stub`

@Deprecated public abstract class RemoteStub extends RemoteObject
Deprecated.
Statically generated stubs are deprecated, since stubs are generated dynamically. See `UnicastRemoteObject` for information about dynamic stub generation.
The `RemoteStub` class is the common superclass of statically generated client stubs and provides the framework to support a wide range of remote reference semantics. Stub objects are surrogates that support exactly the same set of remote interfaces defined by the actual implementation of the remote object.

Since:
  1.1
See Also:
  - Serialized Form

- ## Field Summary

  ### Fields declared in class java.rmi.server.RemoteObject

  `ref`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `RemoteStub()`
  Deprecated.
  Constructs a `RemoteStub`.
  `protected`
  `RemoteStub(RemoteRef ref)`
  Deprecated.
  Constructs a `RemoteStub` with the specified remote reference.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected static void`
  `setRef(RemoteStub stub, RemoteRef ref)`
  Deprecated.
  No replacement.

  ### Methods declared in class java.rmi.server.RemoteObject

  `equals, getRef, hashCode, toString, toStub`

  ### Methods declared in class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### RemoteStub

    protected RemoteStub()
    Deprecated.
    Constructs a `RemoteStub`.

  - ### RemoteStub

    protected RemoteStub(RemoteRef ref)
    Deprecated.
    Constructs a `RemoteStub` with the specified remote reference.
    Parameters:
      `ref` - the remote reference
    Since:
      1.1

- ## Method Details

  - ### setRef

    @Deprecated protected static void setRef(RemoteStub stub, RemoteRef ref)
    Deprecated.
    No replacement. The `setRef` method was intended for setting the remote reference of a remote stub. This is unnecessary, since `RemoteStub`s can be created and initialized with a remote reference through use of the `RemoteStub(RemoteRef)` constructor.
    Throws `UnsupportedOperationException`.
    Parameters:
      `stub` - the remote stub
      `ref` - the remote reference
    Throws:
      `UnsupportedOperationException` - always
    Since:
      1.1